%define anolis_release 2

Summary: The GNU versions of find utilities (find and xargs)
Name: findutils
Version: 4.9.0
Release: %{anolis_release}%{?dist}
Epoch: 1
License: GPLv3+
URL: https://www.gnu.org/software/findutils/
Source0: https://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.xz

Conflicts: filesystem < 3
Provides: /bin/find
Provides: bundled(gnulib)

BuildRequires: automake
BuildRequires: dejagnu
BuildRequires: gettext-devel
BuildRequires: gcc
BuildRequires: git
BuildRequires: libselinux-devel
BuildRequires: make
BuildRequires: texinfo

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a file name pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -N -S git

autoreconf -fiv

%build
mkdir build
cd build
%global _configure ../configure
%configure

%make_build

%check
make %{?_smp_mflags} check -C build V=1

%install
%make_install -C build

rm -f %{buildroot}%{_infodir}/dir

%find_lang %{name}

%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_bindir}/find
%{abidir}/find-option.list
%{_bindir}/xargs
%{abidir}/xargs-option.list
%{_mandir}/man1/find.1*
%{_mandir}/man1/xargs.1*
%{_infodir}/find.info*
%{_infodir}/find-maint.info.*
%exclude %{_bindir}/{locate,updatedb}
%exclude %{abidir}/locate-option.list
%exclude %{abidir}/updatedb-option.list
%exclude %{_prefix}/libexec/frcode
%exclude %{_mandir}/man1/{locate.1*,updatedb.1*}
%exclude %{_mandir}/man5/locatedb.5*

%files doc
%doc AUTHORS NEWS README THANKS TODO

%changelog
* Wed Nov 23 2022 Shawn Wang <shawnwang@linux.alibaba.com> - 1:4.9.0-2
- optimise spec file

* Tue Mar 08 2022 Jacob Wang <yungao.jacob@linux.alibaba.com> - 1:4.9.0-1
- Initial version from upstream 4.9.0 
